Summary:	Summary Atomix-style arcade game
Name:		lmarbles
Version:	1.0.8
Release:	%mkrel 2
License:	GPLv2+
Group:		Games/Puzzles
Url:		https://lgames.sourceforge.io/LMarbles/
Source0:	https://lgames.sourceforge.net/marbleslgames/%{name}-%{version}.tar.gz
Buildrequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)

%description
LMarbles is very similar to Atomix and was heavily inspired by it. Goal is to
create a more or less complex figure out of single marbles within a time limit
to reach the next level. Sounds easy? Well, there is a problem:	If a marble
starts to move it will not stop until it hits a wall or marble. And to make it
even more interesting there are obstacles like arrows, crumbling walls and
teleports!

%prep
%setup -q

%build
%configure --localstatedir=%{_localstatedir}/games \
           --bindir=%{_gamesbindir}
%make_build

%install
%make_install

# Correct icon and .desktop paths
mkdir -p %{buildroot}%{_datadir}/{applications,icons/hicolor/48x48/apps}
mv %{buildroot}%{_iconsdir}/%{name}48.gif %{buildroot}%{_iconsdir}/hicolor/48x48/apps

# convert icon
convert %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}48.gif  %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
rm -f %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}48.gif

# fix desktop file
sed -i 's/Icon=.*/Icon=lmarbles/' %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install \
	--add-category=LogicGame \
	--dir %{buildroot}%{_datadir}/applications/ \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_gamesbindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%config(noreplace) %attr(664, games, games) %{_localstatedir}/games/%{name}.prfs
%{_mandir}/man6/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0.8-2.mga10
+ Revision: 2216426
- Mageia 10 Mass Rebuild

* Thu Nov 17 2022 ns80 <ns80> 1.0.8-1.mga9
+ Revision: 1908444
- imported package lmarbles

